Skip to main content
GET
/
webhook-endpoints
Ruby
Helo.configure do |config|
  config.access_token = "YOUR_BEARER_TOKEN"
end

opts = {
  limit: 10,
  offset: 10,
  channel_ids: ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"]
}
Helo::WebhookEndpoints.list(opts)
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "url": "<string>",
      "payloadSigningKey": "<string>",
      "enabled": true,
      "additionalHeaders": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "events": []
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>
offset
integer<int32>
channelIds
string<uuid>[]

Response

OK

results
object[]
required
totalCount
integer<int32>
required